/*
 * Created by myLittleTools.net.
 * User: Administrateur
 * Date: 10/01/2005
 * Time: 10:07
 * 
 */

using System;
using System.Windows.Forms;

namespace mlw_sample
{
	/// <summary>
	/// Description of rtf.
	/// </summary>
	public class rtf
	{
		public rtf()
		{
		}
		
		public bool SaveTo(
		                   string company,
		                   string fname,
		                   string lname,
		                   string address1,
		                   string address2,
		                   string city,
		                   string zipcode,
		                   string state,
		                   string country,
		                   string phone,
		                   string fax,
		                   int mla_sql_whe,
		                   int mla_sql,
		                   int mlw,
		                   int mld,
		                   string pFileName) {
			
			MyLittleWriter.RtfFile oMlw = new MyLittleWriter.RtfFile();
			MyLittleWriter.Color cBlack = new MyLittleWriter.Color(0, 0, 0);
			MyLittleWriter.Color cWhite = new MyLittleWriter.Color(255, 255, 255);
			double nTotal = 0;
			int nOrdered = 0;
			
	    	// Document Info Properties
	    	oMlw.DefaultLang = 1033;
	    	oMlw.Title = "Purchase Order";
	    	oMlw.Author = "Elian Chrebor";
	    	oMlw.Manager = "Elian Chrebor";
	    	oMlw.Company = "myLittleTools.net";
	    	oMlw.DocComment = "RTF File generated from myLittleWriter Live Demo";
	    	oMlw.LeftMargin = 750;
	    	oMlw.RightMargin = 750;
	    	oMlw.TopMargin = 750;
	    	oMlw.BottomMargin = 750;
	    
	    	// Header
	    	oMlw.OpenHeader();
	    	oMlw.OpenTable("centered");
	    	oMlw.NewRow();
	    	oMlw.NewCell(4000);
			oMlw.InsertImageFromUrl("http://www.mylittletools.net/livedemo/mlw/logo.png", "PNG");
			oMlw.SetFontProp("FontName", "Arial");
	    	oMlw.SetFontProp("FontSize", 8);
			oMlw.AddHtml("<br>47bis, rue du General de Gaulle<br>95 880 Enghien Les Bains - France");
			oMlw.NewCell(6000, "bottom");
	    	oMlw.AddHtml("<right><b>This document has been generated on-the-fly with ");
	    	oMlw.AddHyperlink("http://www.mylittletools.net/mlw", "myLittleWriter");
	    	oMlw.CloseTable();
	    	oMlw.CloseHeader();
	    
			// Footer
			oMlw.OpenFooter();
			oMlw.OpenTable("centered");
			oMlw.NewRow(false, 100);
			oMlw.NewCell(4000,  null, null, "single", false, false, true, false);
			oMlw.SetFontProp("FontName", "Arial");
			oMlw.SetFontProp("FontSize", 8);
			oMlw.InsertField("DATE \\@ \"d MMM yyyy\"");
			oMlw.NewCell(6000,  null, null, "single", false, false, true, false);
		    oMlw.AddHtml("<right>page ");
	    	oMlw.InsertField("PAGE");
	    	oMlw.AddHtml("/");
	    	oMlw.InsertField("NUMPAGES");
	    	oMlw.CloseTable();
	    	oMlw.CloseFooter();
	
			// Fax 
			oMlw.AddHtml("<p><br>");
			oMlw.OpenTable("centered");
			oMlw.NewRow(false, 0, 0, 100, 100);
			oMlw.NewCell(10000, cBlack, "centered");
			oMlw.SetFontProp("FontColor", cWhite);
			oMlw.SetFontProp("FontSize", 14);
			oMlw.AddHtml("<center><b>SIGN AND FAX TO 1-719-623-0399</b>");
		
			oMlw.NewRow(false, 1500, 0, 0, 100, 100);
			oMlw.NewCell(10000, "centered");
			oMlw.SetFontProp("FontColor", cBlack);
			oMlw.AddHtml("<center><b>PURCHASE ORDER</b>");
			oMlw.CloseTable();
		
			// Document
			oMlw.SetFontProp("FontColor", cBlack);
			oMlw.SetFontProp("FontSize", 10);
			oMlw.OpenTable("centered");
	
			// Billing Info
			oMlw.NewRow ();
			oMlw.NewCell(7000);
			oMlw.AddHtml("<p><b>Billing Info</b>");
			oMlw.AddHtml("<br><b>" + company + "</b>");
			oMlw.AddHtml("<br>Attn to " + fname + " " + lname);
			if (address1 != "") oMlw.AddHtml("<br>" + address1);
			if (address2 != "") oMlw.AddHtml("<br>" + address2);
			if (city != "") oMlw.AddHtml("<br>" + city);
			if (state != "") oMlw.AddHtml(", " + state);
			if (zipcode != "") oMlw.AddHtml(" " + zipcode);
			if (country != "") oMlw.AddHtml("<br>" + country);
			oMlw.AddHtml("<br>T: " + phone);
			oMlw.AddHtml("<br>F: " + fax);
		
			// Vendor Info
			oMlw.NewCell(3000);
			oMlw.AddHtml("<p><b>Vendor Info</b>");
			oMlw.AddHtml("<br><b>Reg.net</b>");
			oMlw.AddHtml("<br>675 Southpointe Court");
			oMlw.AddHtml("<br>Suite 250");
			oMlw.AddHtml("<br>Colorado Springs, CO  80906");
			oMlw.AddHtml("<br>U.S.A.");
			oMlw.CloseTable();
	
			// Order info			
			oMlw.AddHtml("<p><br><br><br><br>");
			oMlw.OpenTable("centered");
			oMlw.NewRow(true);
			oMlw.NewCell(1000, null, null, "single", false, false, false, true);
			oMlw.AddHtml("<b>Prod. ID</b>");
			oMlw.NewCell(6100, null, null, "single", false, false, false, true);
			oMlw.AddHtml("<b>Name</b>");
			oMlw.NewCell(500, null, null, "single", false, false, false, true);
			oMlw.AddHtml("<center><b>Qty</b>");
			oMlw.NewCell(1200, null, null, "single", false, false, false, true);
			oMlw.AddHtml("<center><b>Price</b>");
			oMlw.NewCell(1200, null, null, "single", false, false, false, true);
			oMlw.AddHtml("<center><b>Amount</b>");
		
			nOrdered = mla_sql_whe;
			if ( nOrdered > 0) {
				oMlw.NewRow(false, 300);
				oMlw.NewCell(1000, "bottom");
				oMlw.AddText("13272");
				oMlw.NewCell(6100, "bottom");
				oMlw.AddText("myLittleAdmin WebHosting Edition");
				oMlw.NewCell(500, "bottom");
				oMlw.AddText(mla_sql_whe.ToString());
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ 590.00");
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ " + (nOrdered * 590).ToString());
				nTotal += nOrdered * 590;
			}
		
			nOrdered = mla_sql;
			if ( nOrdered > 0) {
				oMlw.NewRow(false, 300);
				oMlw.NewCell(1000, "bottom");
				oMlw.AddText("10924");
				oMlw.NewCell(6100, "bottom");
				oMlw.AddText("myLittleAdmin For SQL Server and MSDE");
				oMlw.NewCell(500, "bottom");
				oMlw.AddText(mla_sql.ToString());
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ 350.00");
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ " + (nOrdered * 350).ToString());
				nTotal += nOrdered * 350;
			}
	
			nOrdered = mlw;
			if ( nOrdered > 0) {
				oMlw.NewRow(false, 300);
				oMlw.NewCell(1000, "bottom");
				oMlw.AddText("11276");
				oMlw.NewCell(6100, "bottom");
				oMlw.AddText("myLittleWriter");
				oMlw.NewCell(500, "bottom");
				oMlw.AddText(mlw.ToString());
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ 99.00");
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ " + (nOrdered * 99).ToString());
				nTotal += nOrdered * 99;
			}
		
			nOrdered = mld;
			if ( nOrdered > 0) {
				oMlw.NewRow(false, 300);
				oMlw.NewCell(1000, "bottom");
				oMlw.AddText("19568");
				oMlw.NewCell(6100, "bottom");
				oMlw.AddText("myLittleDatagrid");
				oMlw.NewCell(500, "bottom");
				oMlw.AddText(mld.ToString());
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ 99.00");
				oMlw.NewCell(1200, "bottom");
				oMlw.AddHtml("<right>$ " + (nOrdered * 99).ToString());
				nTotal += nOrdered * 99;
			}
	
			// Total
			oMlw.NewRow(false, 500);
			oMlw.NewCell(8800, "bottom");
			oMlw.AddHtml("<right><b>TOTAL");
			oMlw.NewCell(1200, null, "bottom", "single", false, false, true, false);
			oMlw.AddHtml("<right>$ " + nTotal.ToString());
			oMlw.CloseTable();
		
			// Date and signature
			oMlw.AddHtml("<p><br><br><br><br>");
			oMlw.AddHtml("<b>Date and signature : </b>....................................................................<br>");
			oMlw.AddHtml("<br><b>" + company + "</b>, ");
			oMlw.AddHtml("<br>" + fname + " " + lname);
		
			if (oMlw.SaveToFile(pFileName) < 0) {
				MessageBox.Show(oMlw.ErrorDescription);
				return (false);
			} else return (true);
		}
	}
}
